@echo off
cd /d %~dp0
if "%processor_architecture%"=="x86" goto REG32
if "%processor_architecture%"=="AMD64" goto REG64
:REG32
%systemroot%\system32\regsvr32.exe -u -s %cd%\PCVR_IDCard.ocx 
%systemroot%\system32\regsvr32.exe -s %cd%\PCVR_IDCard.ocx 
goto exit
:REG64
%systemroot%\syswow64\regsvr32.exe -u -s %cd%\PCVR_IDCard.ocx 
%systemroot%\syswow64\regsvr32.exe -s %cd%\PCVR_IDCard.ocx 
goto exit
:exit